<?php



// ini_set('display_errors',1);

 

require_once ("../../config/Cado.php");



require_once ("cDevolucionproveedor.php");

$oDevolucionproveedor = new cDevolucionproveedor();





//defino una clase que voy a utilizar para generar los elementos sugeridos en autocompletar

class ElementoAutocompletar {

	var $id;

	var $label;  

	var $value;

	

   function __construct($id, $label, $value){

	  $this->id = $id;

      $this->label = $label;

      $this->value = $value;

   }

}



//recibo el dato que deseo buscar sugerencias

$datoBuscar = $_GET["term"];



//busco un valor aproximado al dato escrito

$rs=$oDevolucionproveedor->complete_rel($datoBuscar);



//creo el array de los elementos sugeridos

$arrayElementos = array();



//bucle para meter todas las sugerencias de autocompletar en el array

while ($fila = mysqli_fetch_array($rs)){

   array_push($arrayElementos, new ElementoAutocompletar($fila["tb_compra_id"], $fila["tb_documento_abr"].' '.$fila["tb_compra_numdoc"].' - '.$fila["tb_proveedor_alias"].' - '.$fila["tb_empresa_nomcom"].' | '.$fila["tb_moneda_sim"].' '.$fila["tb_compra_tot"],$fila["tb_compra_numdoc"]));

}



print_r(json_encode($arrayElementos));



?>